<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="atand" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>atand</refname>

    <refpurpose>2-quadrants et 4-quadrants tangeante inverse des éléments de
    l'argument, résultats exprimés en degrés.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>phi=atan(xd)
phi=atand(y,x)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Paramètres</title>

    <variablelist>
      <varlistentry>
        <term>x</term>

        <listitem>
          <para>Tableau réel.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>phi</term>

        <listitem>
          <para>Tableau réel de même dimensions que
          <literal>x</literal>.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>y</term>

        <listitem>
          <para>Tableau réelde même dimensions que
          <literal>x</literal>.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>phi</term>

        <listitem>
          <para>Tableau réel de même dimensions que
          <literal>x</literal>.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>La première forme calcule la tangente inverse sur 2-quadrants de
    éléments de l'argument et retourne le résultat en degrés. Les éléments de
    <literal>phi</literal> sont dans l'intervalle <literal>[-90,
    90]</literal>.</para>

    <para>La seconde forme calcule la tangeante inverse sur 4-quadrants, c'est
    a dire l'angle en degrés ddu nombre complexe <literal>x+i*y</literal>. Les
    éléments de <literal>phi</literal> sont dans l'intervalle
    <literal>[-180,180]</literal>.</para>

    <para>les deux formes retourne des valeurs indentiques pour les
    <literal>x&gt;0</literal>.</para>
  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example"><![CDATA[ 
// exemple avec la seconde forme
x=[0,1/sqrt(3),1,sqrt(3),%inf,0]
atand(x)
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Voir aussi</title>

    <simplelist type="inline">
      <member><link linkend="tan">tan</link></member>

      <member><link linkend="ieee">tand</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Auteurs</title>

    <simplelist type="vert">
      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>
</refentry>
